/**
 * 脚本转化（策略类）
 */
class ScriptStrategy {
    constructor(strategies = {}) {
        this.strategies = strategies;
    }

    get(name) {
        return this.strategies[name];
    }

    add(name, strategy) {
        this.strategies[name] = strategy;
    }
}

module.exports = ScriptStrategy;
