const Path = require("./Path");
const { types } = require("@babel/core");
class ClassDeclaration extends Path {
    constructor(path) {
        super(path);
    }

    getName() {
        return this.node.id.name;
    }

    setExtends(value) {
        this.node.superClass = value;
    }

    getExtends() {
        return this.node.superClass;
    }
}

module.exports = ClassDeclaration;
