const Path = require("../types/Path");
const { types } = require("@babel/core");

class MemberExpression extends Path {
    constructor(path) {
        super(path);
    }

    setObject(name) {
        this.node.object = types.identifier(name);
    }

    setProperty(name) {
        this.node.property = types.identifier(name);
    }
}

module.exports = MemberExpression;
